%define api_version     1
%define lib_major       0
%define lib_name        %mklibname %{name} %{api_version} %{lib_major}
%define develname 	%mklibname ots -d

Name:		ots
Summary:	A text summarizer
Version:	0.5.0
Release:	%mkrel 6
License:	GPLv2+
Group:		System/Libraries
URL:		http://libots.sourceforge.net/
Source:		%{name}-%{version}.tar.gz
Patch0:		ots-0.5.0-fix-underlinking.patch
Patch1:		ots-0.5.0-fix-installation.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	pkgconfig >= 0.8
BuildRequires:	glib2-devel
BuildRequires:	libxml2-devel
BuildRequires:	popt-devel

%description
The open text summarizer is an open source tool for summarizing texts.
The program reads a text and decides which sentences are important and
which are not.
The program can either print the summarized text in text format or in
HTML form where the important sentences are highlighted in red.
 
The program is multi lingual and work with UTF-8 code;  At the moment
only English Hebrew are supported.
 
The ots command line tool is an example and a debug tool for the libary.
You can bind to the library from your program.

%package -n %{lib_name}
Summary:	Libraries for ots
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	%mklibname ots- 1 0

%description -n %{lib_name}
This package provides the libraries for using ots.


%package -n %{develname}
Summary:	Libraries and include files for developing with libots
Group:		Development/C
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d ots- 1 0

%description -n %{develname}
This package provides the necessary development libraries and include
files to allow you to develop with libots.


%prep
%setup -q -n ots-%{version}
%patch0 -p0
%patch1 -p0

%build
touch gtk-doc.make
autoreconf -fi
%configure2_5x --disable-gtk-doc --disable-static
%make -j1

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

# clean out unused files
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/libots/html/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(0755,root,root)%{_bindir}/%{name}
%defattr(0644, root, root, 0755)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%dir %{_datadir}/ots
%{_datadir}/ots/*

%files -n %{lib_name}
%defattr(0644, root, root, 0755)
%{_libdir}/*ots-1.so.*

%files -n %{develname}
%defattr(0644, root, root, 0755)
%{_libdir}/*ots-1.so
%{_libdir}/*.*a
%dir %{_includedir}/libots-1
%dir %{_includedir}/libots-1/ots
%{_includedir}/libots-1/ots/*.h
%{_libdir}/pkgconfig/libots-1.pc




%changelog
* Fri Feb 25 2011 ennael <ennael> 0.5.0-6.mga1
+ Revision: 59344
- clean spec file
- imported package ots


* Mon Jun 01 2009 Funda Wang <fundawang@mandriva.org> 0.5.0-6mdv2010.0
+ Revision: 381750
- fix installation

* Sat Jul 05 2008 Funda Wang <fundawang@mandriva.org> 0.5.0-6mdv2009.0
+ Revision: 231928
- new license policy & devel package name policy

* Sat Jul 05 2008 Funda Wang <fundawang@mandriva.org> 0.5.0-5mdv2009.0
+ Revision: 231927
- renew tarball with official tarball
- fix underlinking
- fix building .so files

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri May 04 2007 Funda Wang <fundawang@mandriva.org> 0.5.0-5mdv2008.0
+ Revision: 22226
- build shared libraries.
- another finally fix for requires, cause the orginal libname is wrong.
- fix provides on 64 bit

* Fri May 04 2007 Funda Wang <fundawang@mandriva.org> 0.5.0-4mdv2008.0
+ Revision: 22198
- finally fix requires

* Fri May 04 2007 Funda Wang <fundawang@mandriva.org> 0.5.0-3mdv2008.0
+ Revision: 22197
- bump release
- Corrected requires.

* Thu May 03 2007 Funda Wang <fundawang@mandriva.org> 0.5.0-2mdv2008.0
+ Revision: 21764
- no more .so files.
- use autogen
- Renew tarball with CVS latest.
- kill doc dir now due to missing gtk-doc.make in tarball
- New version 0.5.0
- Import ots




* Mon Jan 17 2005 Marcel Pol <mpol@mandrake.org> 0.4.2-2mdk
- rebuild

* Wed Dec 10 2003 Marcel Pol <mpol@mandrake.org> 0.4.2-1mdk
- 0.4.2

* Sat Aug 30 2003 Marcel Pol <mpol@gmx.net> 0.4.1-3mdk
- buildrequires again

* Fri Aug 29 2003 Marcel Pol <mpol@gmx.net> 0.4.1-2mdk
- buildrequires

* Thu Aug 14 2003 Marcel Pol <mpol@gmx.net> 0.4.1-1mdk
- initial mandrake contrib
- libpolicy and small changes

* Thu Jun 05 2003 Rui Miguel Silva Seabra <rms@1407.org>
- fix spec
- disable gtk-doc (it's not building in RH 9,
  maybe it's broken for some reason)

* Fri May 02 2003 Rui Miguel Silva Seabra <rms@1407.org>
- define a longer description from the README file
- explicitly set file permissions

* Wed Apr 30 2003 Dom Lachowicz <cinamod@hotmail.com>
- created this thing
